import { get, put, post, deletes } from '@/http/index'

// 查询任务携行列表
export const getCarryChecklist = async (data) => {
  return await get('/als/carryChecklist/list', data)
}

// 新增任务携行
export const addCarryChecklist = async (data) => {
  return await post('/als/carryChecklist', data)
}

// 修改任务携行
export const updateCarryChecklist = async (data) => {
  return await put('/als/carryChecklist', data)
}

// 删除任务携行
export const removeCarryChecklist = async (id) => {
  return await deletes('/als/carryChecklist/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
